#
# spec file for package kquickimageeditor
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor qt6%{nil}
%if "%{flavor}" == ""
ExclusiveArch:  do_not_build
%endif
%if "%{flavor}" == "qt6"
  %define qt6 1
  %define pkg_suffix 6
  %define kf6_version 6.0.0
  %define qt6_version 6.6.0
%endif
%define rname kquickimageeditor

%bcond_without released
Name:           kquickimageeditor%{?pkg_suffix}
Version:        0.5.0
Release:        1.2
Summary:        A set of QtQuick components for image editing
License:        LGPL-2.1-or-later
URL:            https://www.kde.org
Source0:        https://download.kde.org/stable/kquickimageeditor/%{rname}-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/kquickimageeditor/%{rname}-%{version}.tar.xz.sig
Source2:        kquickimageeditor.keyring
%endif
%if 0%{?qt6}
BuildRequires:  kf6-extra-cmake-modules >= %{kf6_version}
BuildRequires:  cmake(Qt6Core) >= %{qt6_version}
BuildRequires:  cmake(Qt6Quick) >= %{qt6_version}
%endif

%description
KQuickImageEditor is a set of QtQuick components providing basic image editing
capabilities.

%package imports
Summary:        A set of QtQuick components for image editing

%description imports
KQuickImageEditor is a set of QtQuick components providing basic image editing
capabilities.

%package devel
Summary:        Development files for KQuickImageEditor
Requires:       kquickimageeditor%{?pkg_suffix}-imports = %{version}
%if 0%{?qt6}
Requires:       cmake(Qt6Core) >= %{qt6_version}
# TODO: Remove after next update
Conflicts:      kquickimageeditor-devel
%endif

%description devel
Development files for KQuickImageEditor, a set of QtQuick components providing
basic image editing capabilities.

%prep
%autosetup -p1 -n %{rname}-%{version}

%build
%if 0%{?qt6}
%cmake_kf6
%kf6_build
%endif

%install
%if 0%{?qt6}
%kf6_install
%endif

%files imports
%license LICENSES/*
%doc README.md
%if 0%{?qt6}
%{_kf6_qmldir}/org/kde/kquickimageeditor/
%endif

%files devel
%if 0%{?qt6}
%{_kf6_cmakedir}/KQuickImageEditor/
%{_kf6_mkspecsdir}/qt_KQuickImageEditor.pri
%endif

%changelog
* Tue Feb 18 2025 Christophe Marin <christophe@krop.fr>
- Update to 0.5.0
  * Port away from Qt5Compat
  * Drop Qt5 support
  * Port to declarative type registration
  * Remove qml version from imports
- Drop the Qt 5 flavor
* Thu Feb 29 2024 Christophe Marin <christophe@krop.fr>
- Update to 0.3.0
  * Don't preprocess QML files
  * Show header in qtc6
  * We need to use Qt5Compat.GraphicalEffects in qt6
  * Add CMakePresets.json
  * Ignore build dir
  * Remove smooth property
  * Don't include GNUInstallDirs
  * Fix Qt version in CMake Config
  * Enable building against Qt6
  * Port to ecm_add_qml_module
  * Update example
- Add kquickimageeditor6, required by neochat
* Wed Oct  6 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Simplify %%files section
* Wed Oct  6 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 0.2.0
  * ImageDocument: Add resize function
  * Add SelectionTool, SelectionHandle, SelectionBackground,
    CropBackground, RectangleCutout
  * ResizeRectangle: Limit inside rect size and position to fit
    own size
  * Fix horizontalPadding not working
* Sat May  8 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.1.3
  * Minor build system related changes
  * Require at least QT version 5.15
* Sat Jan 16 2021 Luca Beltrame <lbeltrame@kde.org>
- Initial package
